Get details about a deployment procedure

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedures/{deploymentProcedureId}

Get details about a deployment procedure. In emcli, it is equivalent to 'describe_procedure_input'

Request

Path Parameters
Query Parameters
  • if include=procedureInput or include=XmlFormat, information about procedure input/procedure xml is included in the response

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Deployment Procedure returned successfully
Body ()
Root Schema : DeploymentProcedure
Type: object
It represents a Procedure
Match All
It represents a Procedure
Show Source
Nested Schema : DeploymentProcedureDetails
Type: object
This is the representation of a Procedure.
Show Source
Nested Schema : procedureInput
Type: object
input which given during submit procedure
Match All
input which given during submit procedure
Show Source
Nested Schema : DescribeProcedureInput
Type: object
This is the representation of an input given while submitting deployment procedure.
Show Source
Nested Schema : Schedule
Type: object
Defining time schedule
Show Source
  • To indicate the time should be interpreted in target's timezone or not. If Timezone is specified in time and useTargetZone is true, it will be reported as an ERROR condition
    Example: true
  • Frequency at which the operation must be executed repeatedly
    Example: Weekly
  • Currently we support ical specification default is ICAL, in future it can be extended to other types e.g CRON.
  • Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.
    Example: 60
  • end time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-02 22:00:13
  • start time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-01 21:23:03
Nested Schema : DeploymentProcedureTargetList
Type: array
Defining list of procedure targets
Show Source
Nested Schema : DeploymentProcedureVariableCollection
Type: object
Collections of Procedure Variable
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : DeploymentProcedureTargetCollection
Type: object
Collections of Procedure Target
Show Source
Nested Schema : items
Type: array
The list of targets
Show Source
Nested Schema : DeploymentProcedureTargetSummary
Type: object
This is the representation of Procedure Target
Match All
This is the representation of Procedure Target
Show Source
Nested Schema : DeploymentProcedureTargetDetails
Type: object
Defining Target for Deployment Procedure
Show Source
Nested Schema : CredentialReference
Type: array
This is the representation of credential references.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: array
The list of procedure variables
Show Source
Nested Schema : DeploymentProcedureVariableSummary
Type: object
This is the representation of Procedure Variable
Match All
This is the representation of Procedure Variable
Show Source
Nested Schema : DeploymentProcedureVariableDetails
Type: object
Defining Variable for Deployment Procedure
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top